using System;

namespace odbojka
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int brojPoena = Convert.ToInt32(s[0]);
            int poeniSet = Convert.ToInt32(s[1]);
            if (brojPoena < 3 * poeniSet) Console.WriteLine(-1);

            // Prvi slucaj W L; W L; W L;

            if (brojPoena <= (3 * poeniSet + (poeniSet - 2) * 3))
            {
                int bPoenaGubitnik = brojPoena - 3 * poeniSet;
                if (bPoenaGubitnik == 0)
                {
                    for(int i = 0; i < 3; i++)
                    {
                        Console.WriteLine(poeniSet.ToString() + " " + 0);
                    }
                }
                else
                {
                    if (bPoenaGubitnik % 3 == 0)
                    {
                        for (int i = 0; i < 3; i++)
                        {
                            Console.WriteLine(poeniSet.ToString() + " " + (bPoenaGubitnik / 3).ToString());
                        }
                    }
                    else
                    {
                        int i = 3;
                        while (bPoenaGubitnik >= 0 && i > 0)
                        {
                            if (bPoenaGubitnik > (poeniSet - 2))
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + (poeniSet - 2).ToString());
                                bPoenaGubitnik -= (poeniSet - 2);
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik > 0 && bPoenaGubitnik < (poeniSet - 2))
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + bPoenaGubitnik);
                                bPoenaGubitnik -= bPoenaGubitnik;
                                i--;
                                continue;
                            }
                            else
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + 0);
                                i--;
                            }
                        }
                    }
                }
            }
            
            // Drugi slucaj W L; W L; L W; W L;
            if(brojPoena >= (3 * poeniSet + (poeniSet - 2) * 3) && brojPoena<=(4*poeniSet + (4 * (poeniSet - 2))))
            {
                int k = 0;
                int bPoenaGubitnik = brojPoena - 4 * poeniSet;
                if (bPoenaGubitnik == 0)
                {
                    for (int i = 0; i < 4; i++)
                    {
                        if (k != 2)
                        {
                            Console.WriteLine(poeniSet.ToString() + " " + 0);
                            k++;
                        }
                        else
                        {
                            Console.WriteLine(0 + " " + poeniSet.ToString());
                            k++;
                        }
                    }
                }
                else
                {
                    if (bPoenaGubitnik % 4 == 0 && k != 3)
                    {
                        for (int i = 0; i < 4; i++)
                        {
                            if (k != 2)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + (bPoenaGubitnik / 4).ToString());
                                k++;
                            }
                            else
                            {
                                Console.WriteLine((bPoenaGubitnik / 4).ToString() + " " + poeniSet.ToString());
                                k++;
                            }
                        }
                    }
                    else
                    {
                        int i = 4;
                        while (bPoenaGubitnik >= 0 && i > 0)
                        {
                            if (bPoenaGubitnik >= (poeniSet - 2) && i != 2) 
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + (poeniSet - 2).ToString());
                                bPoenaGubitnik -= (poeniSet - 2);
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik > 0 && bPoenaGubitnik <= (poeniSet - 2) && i != 2)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + bPoenaGubitnik);
                                bPoenaGubitnik -= bPoenaGubitnik;
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik > 0 && bPoenaGubitnik <= (poeniSet - 2) && i == 2)
                            {
                                Console.WriteLine(bPoenaGubitnik + " " + poeniSet.ToString());
                                bPoenaGubitnik -= bPoenaGubitnik;
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik == 0 && i > 0 && i != 2)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + 0);
                                i--;
                            }
                            if (bPoenaGubitnik == 0 && i > 0 && i != 2)
                            {
                                Console.WriteLine(0 + " " + poeniSet.ToString());
                                i--;
                            }
                    }
                  }
                }
            }


            // Treci slucaj W L; W L; L W; L W; W L;
            if (brojPoena >= (4 * poeniSet + (poeniSet - 2) * 4) && brojPoena <= (5 * poeniSet + (5 * (poeniSet - 2))))
            {
                int k = 0;
                int bPoenaGubitnik = brojPoena - 5 * poeniSet;
                if (bPoenaGubitnik == 0)
                {
                    for (int i = 0; i < 5; i++)
                    {
                        if (k != 2 && k != 3)
                        {
                            Console.WriteLine(poeniSet.ToString() + " " + 0);
                            k++;
                        }
                        else
                        {
                            Console.WriteLine(0 + " " + poeniSet.ToString());
                            k++;
                        }
                    }
                }
                else
                {
                    if (bPoenaGubitnik % 5 == 0 && k != 2 && k!= 3)
                    {
                        for (int i = 0; i < 5; i++)
                        {
                            if (k != 2 && k != 3)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + (bPoenaGubitnik / 5).ToString());
                                k++;
                            }
                            else
                            {
                                Console.WriteLine((bPoenaGubitnik / 5).ToString() + " " + poeniSet.ToString());
                                k++;
                            }
                        }
                    }

                    else
                    {
                        int i = 5;
                        while (bPoenaGubitnik >= 0 && i > 0)
                        {
                            if (bPoenaGubitnik >= (poeniSet - 2) && i != 2 && i != 3)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + (poeniSet - 2).ToString());
                                bPoenaGubitnik -= (poeniSet - 2);
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik > 0 && bPoenaGubitnik <= (poeniSet - 2) && i != 2 && i!=3)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + bPoenaGubitnik);
                                bPoenaGubitnik -= bPoenaGubitnik;
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik > 0 && bPoenaGubitnik <= (poeniSet - 2) && i == 2 && i == 3)
                            {
                                Console.WriteLine(bPoenaGubitnik + " " + poeniSet.ToString());
                                bPoenaGubitnik -= bPoenaGubitnik;
                                i--;
                                continue;
                            }
                            if (bPoenaGubitnik == 0 && i > 0 && i != 2 && i != 3)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + 0);
                                i--;
                            }
                            if (bPoenaGubitnik == 0 && i > 0 && i == 2 && i == 3)
                            {
                                Console.WriteLine(0 + " " + poeniSet.ToString());
                                i--;
                            }
                        }
                    }
                }
            }
            // cetvrti slucaj
            if (brojPoena >= (5 * poeniSet + (poeniSet - 2) * 5))
            {               
                    int k = 0;
                    int bPoenaGubitnik = brojPoena - 5 * poeniSet;
                    if (bPoenaGubitnik == 0)
                    {
                        for (int i = 0; i < 5; i++)
                        {
                            if (k != 2 && k != 3)
                            {
                                Console.WriteLine(poeniSet.ToString() + " " + 0);
                                k++;
                            }
                            else
                            {
                                Console.WriteLine(0 + " " + poeniSet.ToString());
                                k++;
                            }
                        }
                    }
                    else
                    {
                        if (bPoenaGubitnik % 5 == 0)
                        {
                            for (int i = 0; i < 5; i++)
                            {
                                if (k != 2 && k != 3)
                                {
                                    Console.WriteLine(poeniSet.ToString() + " " + (bPoenaGubitnik / 5).ToString());
                                    k++;
                                }
                                else
                                {
                                    Console.WriteLine((bPoenaGubitnik / 5).ToString() + " " + poeniSet.ToString());
                                    k++;
                                }
                            }
                        }
                        else
                        {
                            int i = 5;
                            while (bPoenaGubitnik >= 0 && i > 0)
                            {
                                if (bPoenaGubitnik >= brojPoena - 5 * poeniSet && i==5)
                                {
                                Console.WriteLine((bPoenaGubitnik - poeniSet).ToString() + " " + (bPoenaGubitnik - 2 - poeniSet).ToString());
                                bPoenaGubitnik -= (bPoenaGubitnik - poeniSet);
                                i--;
                                continue;
                                }
                                if (bPoenaGubitnik >= (poeniSet - 2) && i != 2 && i != 3)
                                    {
                                        Console.WriteLine(poeniSet.ToString() + " " + (poeniSet - 2).ToString());
                                        bPoenaGubitnik -= (poeniSet - 2);
                                        i--;
                                        continue;
                                    }
                                if (bPoenaGubitnik > 0 && bPoenaGubitnik <= (poeniSet - 2) && i != 2 && i != 3)
                                {
                                    Console.WriteLine(poeniSet.ToString() + " " + bPoenaGubitnik);
                                    bPoenaGubitnik -= bPoenaGubitnik;
                                    i--;
                                    continue;
                                }
                                if (bPoenaGubitnik > 0 && bPoenaGubitnik <= (poeniSet - 2) && i == 2 && i == 3)
                                {
                                    Console.WriteLine(bPoenaGubitnik + " " + poeniSet.ToString());
                                    bPoenaGubitnik -= bPoenaGubitnik;
                                    i--;
                                    continue;
                                }
                                if (bPoenaGubitnik == 0 && i > 0 && i != 2 && i != 3)
                                {
                                    Console.WriteLine(poeniSet.ToString() + " " + 0);
                                    i--;
                                }
                                if (bPoenaGubitnik == 0 && i > 0 && i == 2 && i == 3)
                                {
                                    Console.WriteLine(0 + " " + poeniSet.ToString());
                                    i--;
                                }                              
                            }
                        }
                    }               
            }
            Console.ReadKey();
        }
    }
}